NRQL query for agents that a smaller than

Hello guys,

I wanted to know if it is possible to make an NRQL query where I could filter agents which are smaller than a particular agent version for a language.

If it is possible, please share your query because I wasn’t able to find something like that.

Hey @dmitriy.vovk

Does a query like this work for you?

FROM NrDailyUsage SELECT apmAgentVersion where apmAgentVersion IS NOT NULL AND apmLanguage = 'ruby' AND apmAgentVersion < '7.0.0' since yesterday

Hello @RyanVeitch !
Yes, this query looks like what I was looking for!

Thank you!

1 Like